## org.h2.util
Class JdbcDriverUtils

    java.lang.Object
      org.h2.util.JdbcDriverUtils

    public class JdbcDriverUtils

extends java.lang.Object

This class tries to automatically load the right JDBC driver for a given database URL.

Method Summary
`static java.lang.String` `getDriver(java.lang.String url)` Get the driver class name for the given URL, or null if the URL is unknown.
`static void` `load(java.lang.String url)` Load the driver class for the given URL, if the database URL is known.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDriver

    public static java.lang.String getDriver(java.lang.String url)

  Get the driver class name for the given URL, or null if the URL is unknown.

  Parameters:
    `url` - the database URL
  Returns:
    the driver class name

### load

    public static void load(java.lang.String url)
                     throws java.sql.SQLException

  Load the driver class for the given URL, if the database URL is known.

  Parameters:
    `url` - the database URL
  Throws:
    `java.sql.SQLException`